Bug 1826395 - Desktop file is not associated with application
Summary: Desktop file is not associated with application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xournalpp
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-21 15:21 UTC by taaem
Modified: 2020-05-01 04:05 UTC (History)
1 user (show)

Fixed In Version: xournalpp-1.0.18-2.fc30 xournalpp-1.0.18-2.fc31 xournalpp-1.0.18-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-30 02:51:17 UTC
Type: Bug


Attachments (Terms of Use)

Description taaem 2020-04-21 15:21:56 UTC
In Gnome Shell, when running xournalpp, the window has no icon set and is not associated with xournalpp desktop file.

This is fixable by adding:

StartupWMClass=xournalpp

to the desktop file. I suppose this happens because the desktop file is called com.github.xournalpp.xournalpp, but the application isn't actually using that name.

Comment 1 Luya Tshimbalanga 2020-04-22 15:07:17 UTC
Thank you for the fix. The update will come as soon as possible.

Comment 2 Fedora Update System 2020-04-22 15:10:33 UTC
FEDORA-2020-5d101f348d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d101f348d

Comment 3 Fedora Update System 2020-04-22 15:10:34 UTC
FEDORA-2020-fbb26197f9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fbb26197f9

Comment 4 Fedora Update System 2020-04-22 15:10:35 UTC
FEDORA-2020-ba5ec61071 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ba5ec61071

Comment 5 Fedora Update System 2020-04-22 20:14:29 UTC
FEDORA-2020-ba5ec61071 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ba5ec61071`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ba5ec61071

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-22 20:29:24 UTC
FEDORA-2020-fbb26197f9 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fbb26197f9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fbb26197f9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-23 20:45:34 UTC
FEDORA-2020-5d101f348d has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5d101f348d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d101f348d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-30 02:51:17 UTC
FEDORA-2020-ba5ec61071 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-30 03:43:17 UTC
FEDORA-2020-fbb26197f9 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-05-01 04:05:38 UTC
FEDORA-2020-5d101f348d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.